Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MeshDataManager Class Reference

メッシュデータマネージャ More...

`#include <MeshDataManager.h>`

Inheritance diagram for Lamp::MeshDataManager:

List of all members.

## Public Member Functions
virtual MeshData * | createMeshData (const String &meshDataName)
| メッシュデータの作成
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
| MeshDataManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

メッシュデータマネージャ

Definition at line 37 of file MeshDataManager.h.

## Constructor & Destructor Documentation

Lamp::MeshDataManager::MeshDataManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file MeshDataManager.cpp.

## Member Function Documentation

MeshData * Lamp::MeshDataManager::createMeshData | ( | const String & | meshDataName | ) | `[virtual]`

  | メッシュデータの作成 すでに同じメッシュデータ名のメッシュデータが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  meshDataName | メッシュデータ名
Returns: 作成されたメッシュデータ Definition at line 37 of file MeshDataManager.cpp. References Lamp::SceneObjectManagerTemplate< MeshData >::addDatabase(), Lamp::SceneObjectManagerTemplate< MeshData >::checkName(), Lamp::SceneObjectManagerTemplate< MeshData >::getScene(), and NULL. Referenced by Lamp::MeshData::copy(), Lamp::TextSceneLoader::readMeshData(), and Lamp::BinarySceneLoader::readMeshData().

bool Lamp::MeshDataManager::initializeGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 45 of file MeshDataManager.cpp. References Lamp::SceneObjectManagerTemplate< MeshData >::get(), Lamp::SceneObjectManagerTemplate< MeshData >::getCount(), and Lamp::MeshData::initializeGraphicsDeviceObjects(). Referenced by Lamp::Scene::initializeGraphicsDeviceObjects().

bool Lamp::MeshDataManager::restoreGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 62 of file MeshDataManager.cpp. References Lamp::SceneObjectManagerTemplate< MeshData >::get(), Lamp::SceneObjectManagerTemplate< MeshData >::getCount(), and Lamp::MeshData::restoreGraphicsDeviceObjects(). Referenced by Lamp::Scene::restoreGraphicsDeviceObjects().

The documentation for this class was generated from the following files:

- MeshDataManager.h
- MeshDataManager.cpp